Request
curl -X POST https://sandbox.api.lendeasy.ai /v1/servicing/voice-dispatches \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"taskId": 2001 ,
"loanRef": "456",
"contactPointRef": "phone-1",
"objective": "COLLECT_MISSED_PAYMENT",
"reasonCode": "COLLECTIONS_FOLLOW_UP",
"requestedDialAt": "2026-07-25T19: 00 : 00 -07: 00 "
}' await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/voice-dispatches` , {
method: "POST" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotencyKey, "Content-Type" : "application/json" },
body: JSON.stringify({
"taskId": 2001 ,
"loanRef": "456",
"contactPointRef": "phone-1",
"objective": "COLLECT_MISSED_PAYMENT",
"reasonCode": "COLLECTIONS_FOLLOW_UP",
"requestedDialAt": "2026-07-25T19: 00 : 00 -07: 00 "
}),
});requests.post(
f"https://sandbox.api.lendeasy.ai /v1/servicing/voice-dispatches" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant, "Idempotency-Key" : idempotency_key},
json={
"taskId": 2001 ,
"loanRef": "456",
"contactPointRef": "phone-1",
"objective": "COLLECT_MISSED_PAYMENT",
"reasonCode": "COLLECTIONS_FOLLOW_UP",
"requestedDialAt": "2026-07-25T19: 00 : 00 -07: 00 "
},
)201 400 401 403 404 409
{
"dispatchId": 731 ,
"status": "AUTHORIZED",
"taskId": 2001 ,
"resourceId": 731
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "409",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "idempotency.request.in.flight",
"errors": []
}